Index: trunk/ab5.0/abdev/abdev/RadProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 772)
+++ trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 828)
@@ -77,5 +77,5 @@
 	//サポートウィンドウを作成
 	HWND hSupport;
-	hSupport=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_SUPPORT),hChild,(DLGPROC)DlgRadSupport);
+	hSupport = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_SUPPORT, hChild, DlgRadSupport);
 
 	//ウィンドウのID登録
@@ -98,5 +98,5 @@
 	MdiInfo[i]->MdiRadInfo->hTools=hTools;
 	MdiInfo[i]->MdiRadInfo->hProperty=hProperty;
-	MdiInfo[i]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),hProperty,(DLGPROC)RadProperty_WindowProc);
+	MdiInfo[i]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, hProperty, RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -288,5 +288,5 @@
 	//プロパティウィンドウを設定
 	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
-	MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+	MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -538,5 +538,5 @@
 	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
 	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
-		MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+		MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_WindowProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
@@ -550,35 +550,35 @@
 	else{
 		if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_BUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ButtonProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_BUTTON, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ButtonProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_CHECKBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_CheckBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_CHECKBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_CheckBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_COMBOBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ComboBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_COMBOBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ComboBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_EDIT),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_EditProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_EDIT, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_EditProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_GROUPBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_GroupBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_GROUPBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_GroupBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_HSCROLLBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_SCROLLBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ScrollBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_IMAGEBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ImageBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_IMAGEBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ImageBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_LISTBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ListBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTVIEW)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListViewProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_LISTVIEW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ListViewProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_PROGRESSBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_PROGRESSBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ProgressBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_PROGRESSBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ProgressBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_RADIOBUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_RadioButtonProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_RADIOBUTTON, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_RadioButtonProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_STATIC),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_StaticProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_STATIC, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_StaticProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TRACKBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TRACKBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TrackBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_TRACKBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_TrackBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TREEVIEW)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TREEVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TreeViewProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_TREEVIEW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_TreeViewProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_UPDOWN)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_UPDOWN),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_UpDownProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_UPDOWN, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_UpDownProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_VSCROLLBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_SCROLLBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ScrollBarProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
@@ -1865,9 +1865,9 @@
 				case IDM_RAD_WINDOW_EVENTCODE:
 					i=GetWndNum(GetParent(hwnd));
-					DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_RAD_EVENTCODE),hwnd,(DLGPROC)DlgEventCode,0);
+					ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_EVENTCODE, hwnd, DlgEventCode, 0);
 					break;
 				case IDM_RAD_WINDOW_MENUEVENTCODE:
 					i=GetWndNum(GetParent(hwnd));
-					DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_RAD_EVENTCODE),hwnd,(DLGPROC)DlgEventCode,1);
+					ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_EVENTCODE, hwnd, DlgEventCode, 1);
 					break;
 				case IDM_RAD_ITEM_DELETE:
